package sharin.doc.builder.xhtml1;

public class SelectElem extends GenericCommonElem<SelectElem> {

    public SelectElem(Object... nodes) {
        super("select", nodes);
    }

    public SelectElem disabled(boolean disabled) {
        return disabled ? disabled("disabled") : this;
    }

    public SelectElem disabled(Object value) {
        return attr("disabled", value);
    }

    public SelectElem multiple(boolean multiple) {
        return multiple ? multiple("multiple") : this;
    }

    public SelectElem multiple(Object value) {
        return attr("multiple", value);
    }

    public SelectElem name(Object value) {
        return attr("name", value);
    }

    public SelectElem onblur(Object value) {
        return attr("onblur", value);
    }

    public SelectElem onchange(Object value) {
        return attr("onchange", value);
    }

    public SelectElem onfocus(Object value) {
        return attr("onfocus", value);
    }

    public SelectElem size(Object value) {
        return attr("size", value);
    }

    public SelectElem tabindex(Object value) {
        return attr("tabindex", value);
    }
}
